Skip to main content
GET
/
api
/
v1
/
environments
List environments
curl --request GET \
  --url https://api.devhelm.io/api/v1/environments \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "orgId": 123,
      "name": "<string>",
      "slug": "<string>",
      "variables": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "monitorCount": 123,
      "isDefault": true
    }
  ],
  "hasNext": true,
  "hasPrev": true,
  "totalElements": 123,
  "totalPages": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.devhelm.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Response

OK

data
object[]
required
hasNext
boolean
required
hasPrev
boolean
required
totalElements
integer<int64> | null
totalPages
integer<int32> | null